[arch-commits] Commit in xorg-xauth/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Jul 6 16:55:37 EDT 2008


    Date: Sunday, July 6, 2008 @ 16:55:37
  Author: jgc
Revision: 4415

Merged revisions 2-4414 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/xorg-xauth/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r4400 | jgc | 2008-07-06 20:28:44 +0000 (Sun, 06 Jul 2008) | 1 line
  
  upgpkg: xorg-xauth 1.0.3-1
........

Modified:
  xorg-xauth/repos/extra-x86_64/	(properties)
  xorg-xauth/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)


Property changes on: xorg-xauth/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /xorg-xauth/trunk:1
   + /xorg-xauth/trunk:1-4414

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-07-06 20:54:55 UTC (rev 4414)
+++ extra-x86_64/PKGBUILD	2008-07-06 20:55:37 UTC (rev 4415)
@@ -2,20 +2,22 @@
 # Maintainer: Alexander Baldeck <alexander at archlinux.org>
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=xorg-xauth
-pkgver=1.0.2
+pkgver=1.0.3
 pkgrel=1
 pkgdesc="X.Org authorization settings program"
 arch=(i686 x86_64)
+license=('custom')
 url="http://xorg.freedesktop.org/"
 depends=('libxmu')
 makedepends=('pkgconfig')
 source=(${url}/releases/individual/app/xauth-${pkgver}.tar.bz2)
+md5sums=('e91e10ace1df0d5f2cbc74ead256407a')
 
 build() {
   cd ${startdir}/src/xauth-${pkgver}
-  ./configure --prefix=/usr
+  ./configure --prefix=/usr || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
+  install -d -m755 ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }
-
-md5sums=('31b956edaeb453ddaa640420e97b25b2')





More information about the arch-commits mailing list